summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2016-08-10 20:00:19 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-13 07:22:19 +0700
commit020be42b8c4985c4ddac3efa9a7c3728a955915c (patch)
tree7a5256383c91a9ae85f8965b1cd3f93c3933050d /games
parentfdd52e899b3421fe650c900ca73c181011eb2bc2 (diff)
downloadslackbuilds-020be42b8c4985c4ddac3efa9a7c3728a955915c.tar.gz
slackbuilds-020be42b8c4985c4ddac3efa9a7c3728a955915c.tar.xz
games/bloodcm: Added (first-person shooter game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/bloodcm/README13
-rw-r--r--games/bloodcm/bloodcm.SlackBuild62
-rw-r--r--games/bloodcm/bloodcm.info10
-rw-r--r--games/bloodcm/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/games/bloodcm/README b/games/bloodcm/README
new file mode 100644
index 0000000000..b5e02f39f8
--- /dev/null
+++ b/games/bloodcm/README
@@ -0,0 +1,13 @@
+bloodcm (first-person shooter game)
+
+Blood Crossmatching (formerly known as BloodTC) is a recreation of Blood
+(by Monolith Productions) for EDuke32 to bring all the fun and action of
+Blood to the EDuke32 port. This mod will be more powerful in the future,
+considering EDuke32 keeps getting better and better.
+
+No data files from the original game are required.
+
+eduke32 will need to be at least version 20160704_5811 for this to work.
+
+To play BloodCM: Launch EDuke32, select BloodCM in the "Custom Game"
+drop-down list, click "Start".
diff --git a/games/bloodcm/bloodcm.SlackBuild b/games/bloodcm/bloodcm.SlackBuild
new file mode 100644
index 0000000000..fafe727941
--- /dev/null
+++ b/games/bloodcm/bloodcm.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for bloodcm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Just repacks the data, no compiling or executables.
+# No icon or .desktop, because no executables.
+
+PRGNAM=bloodcm
+VERSION=${VERSION:-02.2016}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# depending on what the file was downloaded with, it'll be named
+# either of these:
+ZIPFILE="38-blood-crossmatching"
+[ -e $CWD/$ZIPFILE ] || ZIPFILE="${PRGNAM}_v${VERSION}.zip"
+
+# directory inside the zipfile containing the stuff we want. the
+# rest is binaries for windows.
+DIRNAME="BloodCM"
+
+# this needs to match eduke32.SlackBuild. the wrapper script for
+# eduke32 looks here for mods, and symlinks them into the user's
+# ~/.eduke32/ so the game can find them.
+EDUKEDIR=/usr/share/games/eduke32
+
+# we don't even need a $TMP/$PRGNAM-$VERSION, just extract
+# straight into $PKG
+rm -rf $PKG/$EDUKEDIR
+mkdir -p $TMP $PKG/$EDUKEDIR $OUTPUT
+cd $PKG/$EDUKEDIR
+unzip $CWD/$ZIPFILE "$DIRNAME/*"
+find $DIRNAME -type f -print0 | xargs -0 chmod 644
+find $DIRNAME -type d -print0 | xargs -0 chmod 755
+
+# don't ship an empty texture cache
+rm -f $DIRNAME/textures $DIRNAME/textures.cache
+
+# upstream has no docs, we'll include our own README, which tells
+# the user how to run the game.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bloodcm/bloodcm.info b/games/bloodcm/bloodcm.info
new file mode 100644
index 0000000000..15a5c3cf91
--- /dev/null
+++ b/games/bloodcm/bloodcm.info
@@ -0,0 +1,10 @@
+PRGNAM="bloodcm"
+VERSION="02.2016"
+HOMEPAGE="http://www.moddb.com/games/bloodcm"
+DOWNLOAD="http://m210.duke4.net/index.php/files/finish/3-eduke32/38-blood-crossmatching"
+MD5SUM="02977fed0773cef52b9092beeed7dca4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="eduke32"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/bloodcm/slack-desc b/games/bloodcm/slack-desc
new file mode 100644
index 0000000000..ca7591a158
--- /dev/null
+++ b/games/bloodcm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bloodcm: bloodcm (first-person shooter game)
+bloodcm:
+bloodcm: Blood Crossmatching (formerly known as BloodTC) is a recreation
+bloodcm: of Blood (by Monolith Productions) for EDuke32 to bring all the fun
+bloodcm: and action of Blood to the EDuke32 port.
+bloodcm:
+bloodcm: This mod will be more powerful in the future, considering EDuke32
+bloodcm: keeps getting better and better.
+bloodcm:
+bloodcm:
+bloodcm: No data files from the original game are required.